<div class="card">
  <div class="card-heading">
    <h5>Register / Stimmgruppen</h5>
  </div>
  <div class="card-body">
    <small class="mb-3">
      Gib hier den Namen deiner Stimmgruppe ein und ein Kürzel. Zum Beispiel "Tenor" und "T" oder "Violine 1" und "Vl1".
      Du kannst nachträglich auch eine Sorierung festlegen.
    </small>
    <form novalidate #f="ngForm">
      <div class="row mb-2">
        <div class="col-7 pr-1">
          <label class="sr-only" for="addRegister">Register</label>
          <input class="form-control"
                 type="text" name="addRegister"
                 id="addRegister" placeholder="z.B. Tenor"
                 [(ngModel)]="newRegister.name"
                 #addRegister="ngModel"
                 required
          >
          <app-show-form-errors [control]="addRegister"></app-show-form-errors>
        </div>
        <div class="col-5 pl-1">
          <div class="input-group">
            <input class="form-control"
                   type="text" name="shortcutInput"
                   id="shortcutInput" placeholder="T"
                   [(ngModel)]="newRegister.shortcut"
                   #shortcutInput="ngModel"
                   required
            >
            <div class="input-group-append">
              <button class="btn btn-success" type="button" (click)="createRegister()">
                <i class="fas fa-plus"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
    </form>
    <table class="table" *ngIf="ensemble">
      <tbody>
      <tr *ngFor="let register of (this.ensemble.registers | arraysort: 'prio')" class="d-flex">
        <td class="col-3 pr-1">
          <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
            <button type="button"
                    class="btn btn-outline-primary"
                    (click)="incrementRegister(register)"
                    [disabled]="register.prio == 0"
            >
              <i class="fas fa-chevron-up"></i>
            </button>
            <button type="button"
                    class="btn btn-outline-primary"
                    (click)="decrementRegister(register)"
                    [disabled]="register.prio == this.ensemble.registers.length-1"
            >
              <i class="fas fa-chevron-down"></i>
            </button>
          </div>
        </td>
        <td class="col-2 pl-1 pr-1">
          <input type="text" class="form-control form-control-sm" [(ngModel)]="register.shortcut">
        </td>
        <td class="col-7 pl-1">
          <div class="input-group input-group-sm">
            <input type="text" class="form-control" [(ngModel)]="register.name">
            <div class="input-group-append">
              <button class="btn btn-outline-danger" (click)="removeRegister(register)"><i class="fas fa-trash"></i> </button>
            </div>
          </div>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</div>